/* ScrutariLib_DB - Copyright (c) 2014-2017 Vincent Calame - Exemole
 * Logiciel libre donné sous triple licence :
 * 1) selon les termes de la CeCILL V2
 * 2) selon les termes de l’EUPL V.1.1
 * 3) selon les termes de la GNU GPLv3
 * Voir le fichier licences.txt
 */


package net.scrutari.db.api.stats;

import java.util.List;
import net.mapeadores.util.localisation.Lang;


/**
 *
 * @author Vincent Calame
 */
public interface ScrutariDBStats {

    public CountStats getEngineCountStats();

    public CountStats getCountStats(int code);

    public List<Lang> getAllMotcleLangList();

    public FicheStats getEngineFicheStats();

    /**
     * Le code est celui d'une base ou d'un corpus.
     */
    public FicheStats getFicheStats(int code);

    public boolean hasIndexation(int codecorpus, int codethesaurus);

}
